uuid: 1850e093-cad7-478a-b4ec-b2538e5929c1
langcode: en
status: true
dependencies:
  config:
    - core.entity_view_mode.taxonomy_term.course_search
    - field.field.taxonomy_term.course.feeds_item
    - field.field.taxonomy_term.course.field_academic_level
    - field.field.taxonomy_term.course.field_average_cost
    - field.field.taxonomy_term.course.field_class_count
    - field.field.taxonomy_term.course.field_class_format
    - field.field.taxonomy_term.course.field_contact_hours
    - field.field.taxonomy_term.course.field_corequisites
    - field.field.taxonomy_term.course.field_course_number
    - field.field.taxonomy_term.course.field_course_outline
    - field.field.taxonomy_term.course.field_credits
    - field.field.taxonomy_term.course.field_crs_session_cycle
    - field.field.taxonomy_term.course.field_department
    - field.field.taxonomy_term.course.field_description
    - field.field.taxonomy_term.course.field_division
    - field.field.taxonomy_term.course.field_how_to_register_link
    - field.field.taxonomy_term.course.field_local_description
    - field.field.taxonomy_term.course.field_location
    - field.field.taxonomy_term.course.field_meta_tags
    - field.field.taxonomy_term.course.field_requisites
    - field.field.taxonomy_term.course.field_requisites_text
    - field.field.taxonomy_term.course.field_seats
    - field.field.taxonomy_term.course.field_subject
    - field.field.taxonomy_term.course.field_title
    - taxonomy.vocabulary.course
  module:
    - file
    - options
    - text
id: taxonomy_term.course.course_search
targetEntityType: taxonomy_term
bundle: course
mode: course_search
content:
  description:
    type: text_default
    label: hidden
    settings: {  }
    third_party_settings: {  }
    weight: 0
    region: content
  field_academic_level:
    type: entity_reference_label
    label: hidden
    settings:
      link: true
    third_party_settings: {  }
    weight: 9
    region: content
  field_average_cost:
    type: string
    label: hidden
    settings:
      link_to_entity: false
    third_party_settings: {  }
    weight: 8
    region: content
  field_class_count:
    type: number_integer
    label: hidden
    settings:
      thousand_separator: ''
      prefix_suffix: true
    third_party_settings: {  }
    weight: 16
    region: content
  field_class_format:
    type: entity_reference_label
    label: hidden
    settings:
      link: true
    third_party_settings: {  }
    weight: 7
    region: content
  field_contact_hours:
    type: string
    label: hidden
    settings:
      link_to_entity: false
    third_party_settings: {  }
    weight: 13
    region: content
  field_corequisites:
    type: entity_reference_label
    label: hidden
    settings:
      link: true
    third_party_settings: {  }
    weight: 12
    region: content
  field_course_number:
    type: string
    label: hidden
    settings:
      link_to_entity: false
    third_party_settings: {  }
    weight: 19
    region: content
  field_course_outline:
    type: file_default
    label: hidden
    settings:
      use_description_as_link_text: true
    third_party_settings: {  }
    weight: 11
    region: content
  field_credits:
    type: string
    label: hidden
    settings:
      link_to_entity: false
    third_party_settings: {  }
    weight: 5
    region: content
  field_crs_session_cycle:
    type: string
    label: hidden
    settings:
      link_to_entity: false
    third_party_settings: {  }
    weight: 15
    region: content
  field_department:
    type: entity_reference_label
    label: hidden
    settings:
      link: true
    third_party_settings: {  }
    weight: 3
    region: content
  field_description:
    type: basic_string
    label: hidden
    settings: {  }
    third_party_settings: {  }
    weight: 1
    region: content
  field_division:
    type: entity_reference_label
    label: hidden
    settings:
      link: true
    third_party_settings: {  }
    weight: 4
    region: content
  field_local_description:
    type: basic_string
    label: above
    settings: {  }
    third_party_settings: {  }
    weight: 10
    region: content
  field_location:
    type: list_default
    label: hidden
    settings: {  }
    third_party_settings: {  }
    weight: 17
    region: content
  field_requisites:
    type: entity_reference_label
    label: hidden
    settings:
      link: true
    third_party_settings: {  }
    weight: 6
    region: content
  field_requisites_text:
    type: text_default
    label: hidden
    settings: {  }
    third_party_settings: {  }
    weight: 14
    region: content
  field_subject:
    type: entity_reference_label
    label: hidden
    settings:
      link: true
    third_party_settings: {  }
    weight: 18
    region: content
  field_title:
    type: string
    label: hidden
    settings:
      link_to_entity: false
    third_party_settings: {  }
    weight: 2
    region: content
hidden:
  feeds_item: true
  field_how_to_register_link: true
  field_meta_tags: true
  field_seats: true
  search_api_excerpt: true
